//A Source-code interpreter for a
//Very Simple Language

package interpreterVSL;
/* @author spale */

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class InterpreterVSL {
	public static void main(String[] args) throws IOException {
		BufferedReader console = new BufferedReader(new InputStreamReader(System.in));
		int ch;
		System.out.println("This program read an input file, which contains a VSL- Program");
		System.out.println("e.g. {3 - 2 * 5} \n");
		System.out.print("Input file name: "); 
		String inFileName = console.readLine();
		Parser infix=new Parser(inFileName);
        System.out.println("reading a VSL program from the file...:"); 
		System.out.println("Computed value="+infix.analyze());
		infix.close();
		try {
			System.out.println("\nContent of input file (Infix):");
            BufferedReader inFile=new BufferedReader (
            		new FileReader(inFileName));
 			while ((ch = inFile.read()) != -1) 
 			 	System.out.print((char)ch);
 			inFile.close();
 			System.out.println();
		}
        catch (FileNotFoundException e) {
			System.out.println("IOERROR: File not available:\n");
			System.exit(-1);
		} 
 		catch ( IOException e ) {
			System.out.println("IOERROR: " + e.getMessage() + "\n");
			e.printStackTrace();
			System.exit(-1);
		}
	}
}



