package runtimesystem;
/* @author spale */

class StackVSL {
	final int stacksize=100;
	int t = 0;
	int s[]=new int[stacksize];

	void push(int i){
		if (t == stacksize)
			errorpriv("STACKSIZE for this postfix expression too small");
		s[t++] = i;
	}

	void add(){
		t--;
		s[t-1] += s[t];
	}

	void subtract(){
		t--; 
		s[t-1] -= s[t];
	}

	void multiply(){
		t--; 
		s [t-1] *= s[t];
	}

	void printresult(){
		if (t == 1)
			System.out.println("Computed result = "+s[0]);
		else
			errorpriv("Non-valid object program"); 
	}
	
	void errorpriv (String str)	{
		System.out.println("\nError: "+ str); 	
		System.exit(-1); 
	}

	void stackerror(){
		if (t != 1)
				errorpriv("Error in Postfix Expression");
	}
}
